<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">PostConnectSynchronizer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::PostConnectSynchronizer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">alexaClientSDK::acl::PostConnectSynchronizer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a9d489e373133ee3e1f8ac387f31ddeed">create</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::ContextManagerInterface &gt; contextManager)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">alexaClientSDK::acl::PostConnectSynchronizer</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#ae013f7dc70c1413fdab6308710367b86">doPostConnect</a>(std::shared_ptr&lt; HTTP2Transport &gt; transport) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">alexaClientSDK::acl::PostConnectSynchronizer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#af79e6b790e7b8ea938a92a3502921db0">onContextAvailable</a>(const std::string &amp;jsonContext) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">alexaClientSDK::acl::PostConnectSynchronizer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#aee1b113394033b8ccee6195fa23ff8ee">onContextFailure</a>(const avsCommon::sdkInterfaces::ContextRequestError error) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">alexaClientSDK::acl::PostConnectSynchronizer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a4edb0adacc7abdc70c9fe65dfa50f724">onDisconnect</a>() override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">alexaClientSDK::acl::PostConnectSynchronizer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a3851c949bdaeb04fc495fb0d65db69ed">onExceptionReceived</a>(const std::string &amp;exceptionMessage) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">alexaClientSDK::acl::PostConnectSynchronizer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#ac5c4fc5fef1bcccfad0951666170f465">onSendCompleted</a>(MessageRequestObserverInterface::Status status) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">alexaClientSDK::acl::PostConnectSynchronizer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#aee60dfc13f0d0163a600d788a524a725">operator&lt;&lt;</a>(std::ostream &amp;stream, State state)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">alexaClientSDK::acl::PostConnectSynchronizer</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">Status</a> enum name</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html#a761877550e7024ecd44aea4ca306b877">~ContextRequesterInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_context_requester_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::ContextRequesterInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#aeeed2fcf0a58bfae1b1fcd05eb0325e1">~MessageRequestObserverInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html#a60a6921f4e6b3b1d62c30bbbc6b64e23">~PostConnectInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_interface.html">alexaClientSDK::acl::PostConnectInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a733bc71fa32ddeb32b207b5ec8f2bfdf">~PostConnectSynchronizer</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html">alexaClientSDK::acl::PostConnectSynchronizer</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
